/*
   util.h
   San Skulrattanakulchai
   11/11/99
 */
#ifndef UTIL_H
#define UTIL_H

#include <stdlib.h>
#include <stdio.h>

typedef enum { false, true } bool;

#define fatal(s)\
{\
  fprintf(stderr, "\a\a\a%s\nAborting the program\n", (s));\
  exit(EXIT_FAILURE);\
}

#define outOfStore()\
{\
  fatal("memory allocation failed.");\
}

#define	mallocOrDie(size, p)\
{\
  if (((p) = malloc((size))) == NULL)\
    outOfStore();\
}

#define	callocOrDie(nobj, size, p)\
{\
  if (((p) = calloc((nobj), (size))) == NULL)\
    outOfStore();\
}

#endif
