/*
   stack.h
   San Skulrattanakulchai
   11/11/99
 */
#ifndef STACK_H
#define STACK_H

typedef int *Stack;

#define makeStack(size, S) callocOrDie((size)+1, sizeof(int), (S))
#define push(elm, S) (S)[++(S)[0]] = (elm)
#define pop(S) (S)[(S)[0]--]
#define voidPop(S) (S)[0]--
#define top(S) (S)[0]
#define deleteStack(S) free((S))

/*
   keep popping S until the vaule on top of stack S is no greater than value,
   return the value on top of S in result.
*/
#define popWhileGreater(value, S, result)\
{\
  int top_idx = S[0];\
  while (S[--top_idx] > value)\
    ;\
  result = S[S[0] = top_idx];\
}

#endif
