/*
   test_dense.c
   San Skulrattanakulchai
   11/11/99
 */
#include <stdlib.h>       /* for NULL, EXIT_SUCCESS */
#include <stdio.h>        /* for setbuf(), stdout, printf(), putahcr() */

#include "digraph.h"
#include "gen.h"
#include "random.h"
#include "tester.h"
#include "util.h"

int main()
{
  int iter, nv, oneOverp;
  DigraphPtr Gp;
  bool expected;

  setbuf(stdout, NULL);

  for (expected = false; expected <= true; expected++) {
    printf("Random Dense Digraphs (expected=%d)\n", expected);
    printHead();  oneOverp = 10;
    for (iter = 10; iter; iter--) {
      nv = randNum(1800, 2000);
      Gp = dense(nv, oneOverp, expected);
      testDigraphs(Gp);
      deleteDigraph(Gp);
    }
    putchar('\n');
  }

  exit(EXIT_SUCCESS);
}
