/*
   test_grid3d.c
   San Skulrattanakulchai
   11/11/99
 */
#include <stdlib.h>       /* for NULL, EXIT_SUCCESS */
#include <stdio.h>        /* for setbuf(), stdout, printf(), putchar() */

#include "digraph.h"
#include "gen.h"
#include "random.h"
#include "tester.h"
#include "util.h"

int main()
{
  int iter, r, s, t;
  DigraphPtr Gp;
  bool wrap, oriented, pmtName;

  setbuf(stdout, NULL);

  for (wrap = false; wrap <= true; wrap++)
    for (oriented = false; oriented <= true; oriented++)
      for (pmtName = false; pmtName <= true; pmtName++) {
        printf("Random Rectangular 3D Grid Digraphs "
          "(wraparound=%d, oriented=%d, permuted names=%d)\n",
          wrap, oriented, pmtName);
        printHead();
        for (iter = 10; iter; iter--) {
          r = randNum(30, 50); s = randNum(30, 50); t = randNum(30, 50);
          Gp = grid3d(r, s, t, wrap, oriented, pmtName);
          testDigraphs(Gp);
          deleteDigraph(Gp);
        }
        putchar('\n');
      }

  exit(EXIT_SUCCESS);
}
